org.red5.server.api

## Interface IContext

All Superinterfaces:
  org.springframework.core.io.ResourceLoader, org.springframework.core.io.support.ResourcePatternResolver

All Known Implementing Classes:
  Context

    public interface IContext
    extends org.springframework.core.io.support.ResourcePatternResolver

The current context, this object basically wraps the Spring context or in the case of the .Net version, any similar system.

### Field Summary

Fields
`static String` `ID`

### Fields inherited from interface org.springframework.core.io.support.ResourcePatternResolver

`CLASSPATH_ALL_URL_PREFIX`

### Fields inherited from interface org.springframework.core.io.ResourceLoader

`CLASSPATH_URL_PREFIX`

### Method Summary

Methods
`org.springframework.context.ApplicationContext` `getApplicationContext()` Getter for application context
`Object` `getBean(String beanId)` Returns bean by ID
`IClientRegistry` `getClientRegistry()` Get client registry.
`Object` `getCoreService(String beanId)` Returns core service by bean id
`IGlobalScope` `getGlobalScope()` Returns global scope reference
`IMappingStrategy` `getMappingStrategy()` Returns IMappingStrategy object
`IPersistenceStore` `getPersistanceStore()` Returns persistence store object, a storage for persistent objects like persistent SharedObjects.
`IServiceInvoker` `getServiceInvoker()` Returns service invoker object.
`boolean` `hasBean(String beanId)` Returns true if the context contains a certain bean, false otherwise.
`IScopeHandler` `lookupScopeHandler(String path)` Returns scope handler (object that handle all actions related to the scope) by path.
`Object` `lookupService(String serviceName)` Returns service by name.
`IScope` `resolveScope(IScope root, String path)` Returns scope by path from given root.
`IScope` `resolveScope(String path)` Returns scope by path.

### Methods inherited from interface org.springframework.core.io.support.ResourcePatternResolver

`getResources`

### Methods inherited from interface org.springframework.core.io.ResourceLoader

`getClassLoader, getResource`

### Field Detail

#### ID

    static final String ID

See Also:
  Constant Field Values

### Method Detail

#### getApplicationContext

    org.springframework.context.ApplicationContext getApplicationContext()

Getter for application context

Returns:
  Application context

#### getClientRegistry

    IClientRegistry getClientRegistry()

Get client registry. Client registry is a place where all clients are registred.

Returns:
  Client registry object

#### getServiceInvoker

    IServiceInvoker getServiceInvoker()

Returns service invoker object. Service invokers are objects that make service calls to client side NetConnection objects.

Returns:
  Service invoker object

#### getPersistanceStore

    IPersistenceStore getPersistanceStore()

Returns persistence store object, a storage for persistent objects like persistent SharedObjects.

Returns:
  Persistence store object

#### lookupScopeHandler

    IScopeHandler lookupScopeHandler(String path)

Returns scope handler (object that handle all actions related to the scope) by path. See `IScopeHandler` for details.

Parameters:
  `path` - Path of scope handler
Returns:
  Scope handler

#### resolveScope

    IScope resolveScope(String path)

Returns scope by path. You can think of IScope as of tree items, used to separate context and resources between users. See `IScope` for more details.

Parameters:
  `path` - Path of scope
Returns:
  IScope object

#### resolveScope

    IScope resolveScope(IScope root,
                      String path)

Returns scope by path from given root. You can think of IScope as of tree items, used to separate context and resources between users. See `IScope` for more details.

Parameters:
  `root` - Root to start from
  `path` - Path of scope
Returns:
  IScope object

#### getGlobalScope

    IGlobalScope getGlobalScope()

Returns global scope reference

Returns:
  global scope reference

#### lookupService

    Object lookupService(String serviceName)

Returns service by name.

Parameters:
  `serviceName` - Name of service
Returns:
  Service object

#### getBean

    Object getBean(String beanId)

Returns bean by ID

Parameters:
  `beanId` - Bean ID
Returns:
  Given bean instance

#### hasBean

    boolean hasBean(String beanId)

Returns true if the context contains a certain bean, false otherwise.

Parameters:
  `beanId` - The name of the bean to find.
Returns:
  True if the bean exists, false otherwise.

#### getCoreService

    Object getCoreService(String beanId)

Returns core service by bean id

Parameters:
  `beanId` - Bean ID
Returns:
  Core service

#### getMappingStrategy

    IMappingStrategy getMappingStrategy()

Returns IMappingStrategy object

Returns:
  IMappingStrategy object